## org.eclipse.emf.mapping.ecore2xml.impl
Class XMLInfoImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.mapping.ecore2xml.impl.XMLInfoImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, XMLResource.XMLInfo, XMLInfo

    public class XMLInfoImpl

extends EObjectImpl
implements XMLInfo

An implementation of the model object 'XML Info'.

The following features are implemented:

- `Name`
- `Target Namespace`
- `XML Representation`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected XMLResource.XMLInfo` `delegateXMLInfo`
`protected static java.lang.String` `NAME_EDEFAULT` The default value of the '`Name`' attribute
`protected static java.lang.String` `TARGET_NAMESPACE_EDEFAULT` The default value of the '`Target Namespace`' attribute
`protected static int` `XML_REPRESENTATION_EDEFAULT` The default value of the '`XML Representation`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.xmi.XMLResource.XMLInfo
`ATTRIBUTE, CONTENT, ELEMENT, UNSPECIFIED`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `XMLInfoImpl()`
`protected` `XMLInfoImpl(XMLResource.XMLInfo delegateXMLInfo)`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getName()`
`java.lang.String` `getTargetNamespace()`
`int` `getXMLRepresentation()`
`void` `setName(java.lang.String newName)`
`void` `setTargetNamespace(java.lang.String newTargetNamespace)`
`void` `setXMLRepresentation(int newXMLRepresentation)`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### NAME_EDEFAULT

    protected static final java.lang.String NAME_EDEFAULT

  The default value of the '`Name`' attribute.

  See Also:
    `getName()`

### TARGET_NAMESPACE_EDEFAULT

    protected static final java.lang.String TARGET_NAMESPACE_EDEFAULT

  The default value of the '`Target Namespace`' attribute.

  See Also:
    `getTargetNamespace()`

### XML_REPRESENTATION_EDEFAULT

    protected static final int XML_REPRESENTATION_EDEFAULT

  The default value of the '`XML Representation`' attribute.

  See Also:
    `getXMLRepresentation()`, Constant Field Values

### delegateXMLInfo

    protected XMLResource.XMLInfo delegateXMLInfo

Constructor Detail

### XMLInfoImpl

    protected XMLInfoImpl()

### XMLInfoImpl

    protected XMLInfoImpl(XMLResource.XMLInfo delegateXMLInfo)

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EObjectImpl`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `XMLResource.XMLInfo`
  Specified by:
    `getName` in interface `XMLInfo`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `XMLInfo.setName(String)`, `Ecore2XMLPackage.getXMLInfo_Name()`

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `XMLResource.XMLInfo`
  Specified by:
    `setName` in interface `XMLInfo`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `XMLInfo.getName()`

### getTargetNamespace

    public java.lang.String getTargetNamespace()

  Specified by:
    `getTargetNamespace` in interface `XMLResource.XMLInfo`
  Specified by:
    `getTargetNamespace` in interface `XMLInfo`
  Returns:
    the value of the 'Target Namespace' attribute.
  See Also:
    `XMLInfo.setTargetNamespace(String)`, `Ecore2XMLPackage.getXMLInfo_TargetNamespace()`

### setTargetNamespace

    public void setTargetNamespace(java.lang.String newTargetNamespace)

  Specified by:
    `setTargetNamespace` in interface `XMLResource.XMLInfo`
  Specified by:
    `setTargetNamespace` in interface `XMLInfo`
  Parameters:
    `newTargetNamespace` - the new value of the 'Target Namespace' attribute.
  See Also:
    `XMLInfo.getTargetNamespace()`

### getXMLRepresentation

    public int getXMLRepresentation()

  Specified by:
    `getXMLRepresentation` in interface `XMLResource.XMLInfo`
  Specified by:
    `getXMLRepresentation` in interface `XMLInfo`
  Returns:
    the value of the 'XML Representation' attribute.
  See Also:
    `XMLInfo.setXMLRepresentation(int)`, `Ecore2XMLPackage.getXMLInfo_XMLRepresentation()`

### setXMLRepresentation

    public void setXMLRepresentation(int newXMLRepresentation)

  Specified by:
    `setXMLRepresentation` in interface `XMLResource.XMLInfo`
  Specified by:
    `setXMLRepresentation` in interface `XMLInfo`
  Parameters:
    `newXMLRepresentation` - the new value of the 'XML Representation' attribute.
  See Also:
    `XMLInfo.getXMLRepresentation()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `BasicEObjectImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `BasicEObjectImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.